<div
  class="m-4 border border-gray-500/10"
  x-data="{ 
    controller: null,
    results: null,
  }"
  x-init="addEventListener('load', async (event) => {
    controller = new DnsController();
    results = await controller.fetchData();
    console.log('Fetched data...', results);    
  });
  "
>
  <!-- Header -->
  <div class="flex">
    <h3 class="p-4 flex-1 text-xl">DNS Probes</h3>
    <div class="p-4">{{ partial "probes/dns/toolbar" . }}</div>
  </div>

  <!-- List results -->
  <div class="flex" x-show="results?.length">
    {{ partial "probes/dns/list" . }}
  </div>

  <!-- Loading indicator -->
  <div class="flex" x-show="controller?.loading && results === null">
    <div class="text-xl text-gray-500 opacity-25 py-8 mx-auto">
      <i class="fa-solid fa-arrows-rotate animate-spin"></i>
      <em>Refreshing list of domains...</em>
    </div>
  </div>
</div>
